---
title: Get Property
slug: eSDI-get-property
createdAt: 2025-09-11T10:47:14.175Z
---

:::ApiMethodV2
```json
{
  "name": "Get Property",
  "method": "POST",
  "url": "https://wsb.bakuun.com/v2/get-property/CPBXXX/XXXX",
  "description": "Returns detailed information about the property associated with the given propertyId.\nThis action allows the Connectivity Partner to retrieve static content such as the property name, address, facilities, and room configuration as defined in Bakuun.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "rJxEFDXZtK-ii0Nh24633",
        "language": "json",
        "code": "{\n  \"authentication\": {\n    \"shareRead\": \"xxxxxxxxxxxx\",\n    \"propertyId\": \"HTLXX.X\",\n    \"sourceId\": \"TPSXXX\"\n  },\n  \"action\": \"GetPropertyInfo\"\n}",
        "customLabel": ""
      },
      {
        "id": "DkG1dxyjriqrdXAO99rR0",
        "language": "curl",
        "code": "curl --location --globoff 'https://wsb.bakuun.com/v2/get-property/test/{sourceId}/568411' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"authentication\": {\n    \"shareRead\": \"\",\n    \"propertyId\": \"\",\n    \"sourceId\": \"\"\n  },\n  \"action\": \"String\"\n}'",
        "customLabel": ""
      },
      {
        "id": "BXvt_IPm6aYqHiue5phdN",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"authentication\": {\n      \"shareRead\": \"\",\n      \"propertyId\": \"\",\n      \"sourceId\": \"\"\n   },\n   \"action\": \"String\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://wsb.bakuun.com/v2/get-property/test/{sourceId}/568411\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "OZ45ekUeXETsD0WbxuPLy",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://wsb.bakuun.com/v2/get-property/test/{sourceId}/568411\"\n\npayload = json.dumps({\n   \"authentication\": {\n      \"shareRead\": \"\",\n      \"propertyId\": \"\",\n      \"sourceId\": \"\"\n   },\n   \"action\": \"String\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "0Ktslfb4QnmSiUzO4E2Cy",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://wsb.bakuun.com/v2/get-property/test/{sourceId}/568411\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"authentication\": {\n      \"shareRead\": \"\",\n      \"propertyId\": \"\",\n      \"sourceId\": \"\"\n   },\n   \"action\": \"String\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "Af-qfIo19rzqN7aw_kWNQ",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://wsb.bakuun.com/v2/get-property/test/{sourceId}/568411',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"authentication\": {\n         \"shareRead\": \"\",\n         \"propertyId\": \"\",\n         \"sourceId\": \"\"\n      },\n      \"action\": \"String\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "rJxEFDXZtK-ii0Nh24633"
  },
  "results": {
    "languages": [
      {
        "id": "CUwUQnM2-ToHwU-bXfbdm",
        "language": "200",
        "code": "{\n    \"status\": \"success\",\n    \"trackingId\": \"xxxxxxxxxxxxx\",\n    \"propertyData\": {\n        \"propertyName\": \"My Test Property\",\n        \"roomTypes\": [\n            {\n                \"roomId\": \"RXX.X\",\n                \"roomName\": \"Double Room with Shared Toilet\",\n                \"type\": \"DailyRoom\",\n                \"rateTypes\": [\n                    {\n                        \"rateId\": \"RXX.X.X\",\n                        \"authPerson\": \"3\",\n                        \"cancelType\": \"1\",\n                        \"defaultMeal\": \"BB\",\n                        \"rateCategory\": \"B2B\",\n                        \"restrictedCountry\": \"AF,AL,DZ,AS\"\n                    },\n                    {\n                        \"rateId\": \"RXX.X.X\",\n                        \"authPerson\": \"2\",\n                        \"cancelType\": \"1\",\n                        \"defaultMeal\": \"BB\",\n                        \"rateCategory\": \"B2C\",\n                        \"restrictedCountry\": \"AF,AL,DZ,AS\"\n                    }\n                ]\n            }\n        ]\n    }\n}",
        "customLabel": ""
      },
      {
        "id": "gclSFeG7TcL3xcGR1oOZh",
        "language": "415",
        "code": "{\n    \"success\": false,\n    \"trackingId\": \"6891f3beb419472c500967e6\",\n    \"errors\": [\n        {\n            \"code\": 415,\n            \"message\": \"Invalid authentication key.\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "vVHipUgMYGg65zy_yKtQY",
        "language": "422",
        "code": "{\n    \"success\": false,\n    \"trackingId\": \"68c2abfc04829387650a4dbd\",\n    \"errors\": [\n        {\n            \"code\": 422,\n            \"message\": \"Validation failed\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "CpbdwNfOXUccKPwEmFOLa",
        "language": "428",
        "code": "{\n    \"success\": false,\n    \"trackingId\": \"68c2abfc04829387650a4dbd\",\n    \"errors\": [\n        {\n            \"code\": 415,\n            \"message\": \"No room mappings found for this property\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "WQk_iSE_mL6p69i9hYUJs",
        "language": "431",
        "code": "{\n    \"success\": false,\n    \"trackingId\": \"68c2abfc04829387650a4dbd\",\n    \"errors\": [\n        {\n            \"code\": 431,\n            \"message\": \"Endpoint is not active\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "Em0_O6MUFotrdSgFlmKS_",
        "language": "451",
        "code": "{\n    \"success\": false,\n    \"trackingId\": \"68c2abfc04829387650a4dbd\",\n    \"errors\": [\n        {\n            \"code\": 451,\n            \"message\": \"Mapping is not active\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "X8oarA7dktkyutXjA77Lg",
        "language": "500",
        "code": "{\n    \"success\": false,\n    \"trackingId\": \"68c2abfc04829387650a4dbd\",\n    \"errors\": [\n        {\n            \"code\": 415,\n            \"message\": \"Internal server error\"\n        }\n    ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "CUwUQnM2-ToHwU-bXfbdm"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "authentication",
        "kind": "required",
        "type": "object",
        "description": "",
        "": "",
        "children": [
          {
            "name": "shareRead",
            "kind": "required",
            "type": "string",
            "description": "System-generated, human-readable API access key (unique per account)."
          },
          {
            "name": "propertyId",
            "kind": "required",
            "type": "string",
            "description": "Property identifier assigned by Bakuun"
          },
          {
            "name": "sourceId",
            "kind": "required",
            "type": "string",
            "description": "TPS Partner identifier assigned by Bakuun (e.g. TPSXX)"
          }
        ],
        "schema": [
          {
            "name": "shareRead",
            "kind": "required",
            "type": "string",
            "description": "System-generated, human-readable API access key (unique per account)."
          },
          {
            "name": "propertyId",
            "kind": "required",
            "type": "string",
            "description": "Property identifier assigned by Bakuun"
          },
          {
            "name": "sourceId",
            "kind": "required",
            "type": "string",
            "description": "TPS Partner identifier assigned by Bakuun (e.g. TPSXX)"
          }
        ]
      },
      {
        "name": "action",
        "kind": "required",
        "type": "string",
        "description": "Always set as getPropertyInfo",
        "": "Always set as getPropertyInfo"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "true"
    },
    {
      "name": "trackingId",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    },
    {
      "name": "propertyData",
      "kind": "optional",
      "type": "object",
      "description": "Container for all static property, room, and rate plan data.",
      "children": [
        {
          "name": "propertyName",
          "kind": "optional",
          "type": "string",
          "description": "Name of the property as shown to users."
        },
        {
          "name": "roomTypes",
          "kind": "optional",
          "type": "object",
          "description": "List of room types configured for this property.",
          "children": [
            {
              "name": "roomId",
              "kind": "optional",
              "type": "string",
              "description": "Unique identifier for the room type"
            },
            {
              "name": "roomName",
              "kind": "optional",
              "type": "string",
              "description": "Descriptive name of the room type (e.g. Deluxe Queen Room With Two Queen Beds)."
            },
            {
              "name": "type",
              "kind": "optional",
              "type": "string",
              "description": "DailyRoom would be the used default category "
            },
            {
              "name": "rateTypes",
              "kind": "optional",
              "type": "object",
              "description": "",
              "children": [
                {
                  "name": "rateId",
                  "kind": "optional",
                  "type": "string",
                  "description": "Unique identifier for the rate plan (e.g. RXX.1.2.1)."
                },
                {
                  "name": "authPerson",
                  "kind": "optional",
                  "type": "string",
                  "description": "Maximum authorized occupancy (number of persons) for this rate plan."
                },
                {
                  "name": "cancelType",
                  "kind": "optional",
                  "type": "string",
                  "description": "Cancellation rule type code (mapping provided by Bakuun; e.g. 0 = non-refundable, 1 = refundable)."
                },
                {
                  "name": "defaultMeal",
                  "kind": "optional",
                  "type": "string",
                  "description": "Default meal plan code (e.g. 0 = Room Only, 1 = Breakfast, 2 = Half Board, 3 = Full Board — actual mapping defined in your integration)."
                },
                {
                  "name": "rateCategory",
                  "kind": "optional",
                  "type": "string",
                  "description": "Assigned rate category (e.g. corporate, package, promotion)"
                },
                {
                  "name": "restrictedCountry",
                  "kind": "optional",
                  "type": "string",
                  "description": "Optional country restrictions for selling this rate. Can be empty or contain a list of countries."
                }
              ]
            }
          ]
        }
      ]
    }
  ],
  "autoGeneratedAnchorSlug": "get-property",
  "legacyHash": "y84A3KTR0Zv2rgzfNkuWR"
}
```
:::

